Bug 167831 - [PATCH] graphics/cegui: enable null renderer, fix library names
Summary: [PATCH] graphics/cegui: enable null renderer, fix library names
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Oliver Lehmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-13 01:00 UTC by Dmitry Marakasov
Modified: 2012-06-22 23:51 UTC (History)
1 user (show)

See Also:


Attachments
cegui-0.7.5_4.patch (5.31 KB, patch)
2012-05-13 01:00 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2012-05-13 01:00:27 UTC
- Enable null renderer, it's needed for games/secretmaryochronicles update and doesn't seem to bring any extra depends
- Fix library file naming

The hack of renaming libCEGUIfoobar-X.Y.Z.so to libCEGUIfoobar-X.Y.so.Z breaks CEGUI itself, as the latter dlopens some of its modules, and filename string for dlopen is constructed in the libCEGUIfoobar-X.Y.Z.so way, so with libraries renamed cegui is not able to dynamically load modules. Renaming scheme is also not correct wrt .so versioning: if (part of) package version is used as a .so version, major (rather than minor) part should be used, as it usually changes ABI and it will not reset to 0 with the next major release. In this case (where port version is included in the library name), however, .so versioning doesn't even apply, so it should just be 0.

Port maintainer (oliver@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: CVS)
Comment 1 Edwin Groothuis freebsd_committer 2012-05-13 01:00:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->oliver

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dmitry Marakasov 2012-05-14 14:31:36 UTC
* Dmitry Marakasov (amdmi3@amdmi3.ru) wrote:

I forgot to mention that library name fix also requires updating
DEPENDS in games/ember, games/sumwars, games/rigsofrods and
games/secretmaryochronicles. The last one may be skipped alone as
I have an update for it anyway.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 3 dfilter service freebsd_committer 2012-05-28 16:34:54 UTC
amdmi3      2012-05-28 13:46:02 UTC

  FreeBSD ports repository

  Modified files:
    graphics/cegui       Makefile pkg-plist 
    games/ember          Makefile 
    games/sumwars        Makefile 
  Log:
  - Enable null renderer in cegui
  - Fix cegui library versioning scheme
  
  PR:             167831
  Submitted by:   myself
  Approved by:    maintainer timeout (oliver, 2 weeks)
  
  Revision  Changes    Path
  1.67      +2 -2      ports/games/ember/Makefile
  1.4       +2 -2      ports/games/sumwars/Makefile
  1.32      +4 -3      ports/graphics/cegui/Makefile
  1.10      +30 -20    ports/graphics/cegui/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Oliver Lehmann freebsd_committer 2012-06-22 23:50:43 UTC
State Changed
From-To: open->closed

commit already happend about a month ago